package com.os.ems.record.service;

import java.text.ParseException;
import java.util.Date;
import java.util.List;

import com.os.common.core.page.TableDataInfo;
import com.os.ems.record.domain.RecordIotenvInstant;

/**
 * 物联网数据Service接口
 * 
 * @author zch
 * @date 2025-04-28
 */
public interface IRecordIotenvInstantService 
{
    /**
     * 查询物联网数据
     * 
     * @param objid 物联网数据主键
     * @return 物联网数据
     */
    public RecordIotenvInstant selectRecordIotenvInstantByObjid(Long objid);

    /**
     * 查询物联网数据列表
     * 
     * @param recordIotenvInstant 物联网数据
     * @return 物联网数据集合
     */
    public List<RecordIotenvInstant> selectRecordIotenvInstantList(RecordIotenvInstant recordIotenvInstant) throws ParseException;


    /**
     * 新增物联网数据
     * 
     * @param recordIotenvInstant 物联网数据
     * @return 结果
     */
    public int insertRecordIotenvInstant(RecordIotenvInstant recordIotenvInstant);

    /**
     * 修改物联网数据
     * 
     * @param recordIotenvInstant 物联网数据
     * @return 结果
     */
    public int updateRecordIotenvInstant(RecordIotenvInstant recordIotenvInstant);

    /**
     * 批量删除物联网数据
     * 
     * @param objids 需要删除的物联网数据主键集合
     * @return 结果
     */
    public int deleteRecordIotenvInstantByObjids(Long[] objids);

    /**
     * 删除物联网数据信息
     * 
     * @param objid 物联网数据主键
     * @return 结果
     */
    public int deleteRecordIotenvInstantByObjid(Long objid);


    /**
     * 分页查询物联网数据列表
     *
     * @param recordIotenvInstant 物联网数据
     * @return 物联网数据
     */
    public TableDataInfo selectRecordIotenvInstantListWithPage(RecordIotenvInstant recordIotenvInstant, int pageNum, int pageSize) throws ParseException;

}
