package com.os.ems.report.mapper;

import java.util.List;
import com.os.ems.report.domain.EmsReportPointWater;

/**
 * 水整点数据Mapper接口
 * 
 * @author Yinq
 * @date 2024-05-22
 */
public interface EmsReportPointWaterMapper 
{
    /**
     * 查询水整点数据
     * 
     * @param objId 水整点数据主键
     * @return 水整点数据
     */
    public EmsReportPointWater selectEmsReportPointWaterByObjId(Long objId);

    /**
     * 查询水整点数据列表
     * 
     * @param emsReportPointWater 水整点数据
     * @return 水整点数据集合
     */
    public List<EmsReportPointWater> selectEmsReportPointWaterList(EmsReportPointWater emsReportPointWater);

    /**
     * 新增水整点数据
     * 
     * @param emsReportPointWater 水整点数据
     * @return 结果
     */
    public int insertEmsReportPointWater(EmsReportPointWater emsReportPointWater);

    /**
     * 修改水整点数据
     * 
     * @param emsReportPointWater 水整点数据
     * @return 结果
     */
    public int updateEmsReportPointWater(EmsReportPointWater emsReportPointWater);

    /**
     * 删除水整点数据
     * 
     * @param objId 水整点数据主键
     * @return 结果
     */
    public int deleteEmsReportPointWaterByObjId(Long objId);

    /**
     * 批量删除水整点数据
     * 
     * @param objIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteEmsReportPointWaterByObjIds(Long[] objIds);
}
