package com.os.ems.report.service;


import com.os.ems.report.domain.EnergyStatisticalReport;
import com.os.ems.report.domain.PeaksValleysConsumptionReport;

import java.util.List;
import java.util.Map;

/**
 * 能源报表Service接口
 *
 * @author Yinq
 * @date 2024-05-22
 */
public interface IEmsReportService {

    /**
     * 统计能耗报表
     * @param hashMap
     * @return
     */
    List<EnergyStatisticalReport> energyStatisticalReportList(Map hashMap);

    /**
     * 峰平谷耗量报表
     * @param hashMap
     * @return
     */
    List<PeaksValleysConsumptionReport> peaksValleysConsumptionReportList(Map hashMap);

    /**
     * 能源预览接口
     * @param hashMap
     * @return
     */
    List<Map<String, Object>> energyPreviewReportList(Map hashMap);
}
