package com.os.mes.base.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.os.common.annotation.Excel;
import com.os.common.core.domain.BaseEntity;

/**
 * 设备参数对象 base_device_param
 *
 * @author Yinq
 * @date 2024-05-10
 */
public class BaseDeviceParam extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键标识
     */
    private Long objId;

    /**
     * 参数编号
     */
    @Excel(name = "参数编号")
    private String paramCode;

    /**
     * 参数名称
     */
    @Excel(name = "参数名称")
    private String paramName;

    /**
     * 网络地址
     */
    @Excel(name = "网络地址")
    private String paramNetwork;

    /**
     * 参数地址
     */
    @Excel(name = "参数地址")
    private String paramAddress;

    /**
     * 参数类型（0int 1float）
     */
    @Excel(name = "参数类型", readConverterExp = "0=int,1=float")
    private String paramType;

    /**
     * 设备编号
     */
    @Excel(name = "设备编号")
    private String deviceCode;

    /**
     * 设备名称
     */
    @Excel(name = "设备名称")
    private String deviceName;

    /**
     * 读取频率(毫秒)
     */
    @Excel(name = "读取频率(毫秒)")
    private Long readFrequency;

    /**
     * 启用标识
     */
    @Excel(name = "启用标识")
    private String isFlag;

    /**
     * 工位名称
     */
    @Excel(name = "工位名称")
    private String productLineName;

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getProductLineName() {
        return productLineName;
    }

    public void setProductLineName(String productLineName) {
        this.productLineName = productLineName;
    }

    public void setObjId(Long objId) {
        this.objId = objId;
    }

    public Long getObjId() {
        return objId;
    }

    public void setParamCode(String paramCode) {
        this.paramCode = paramCode;
    }

    public String getParamCode() {
        return paramCode;
    }

    public void setParamName(String paramName) {
        this.paramName = paramName;
    }

    public String getParamName() {
        return paramName;
    }

    public void setParamNetwork(String paramNetwork) {
        this.paramNetwork = paramNetwork;
    }

    public String getParamNetwork() {
        return paramNetwork;
    }

    public void setParamAddress(String paramAddress) {
        this.paramAddress = paramAddress;
    }

    public String getParamAddress() {
        return paramAddress;
    }

    public void setParamType(String paramType) {
        this.paramType = paramType;
    }

    public String getParamType() {
        return paramType;
    }

    public void setDeviceCode(String deviceCode) {
        this.deviceCode = deviceCode;
    }

    public String getDeviceCode() {
        return deviceCode;
    }

    public void setReadFrequency(Long readFrequency) {
        this.readFrequency = readFrequency;
    }

    public Long getReadFrequency() {
        return readFrequency;
    }

    public void setIsFlag(String isFlag) {
        this.isFlag = isFlag;
    }

    public String getIsFlag() {
        return isFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("objId", getObjId())
                .append("paramCode", getParamCode())
                .append("paramName", getParamName())
                .append("paramNetwork", getParamNetwork())
                .append("paramAddress", getParamAddress())
                .append("paramType", getParamType())
                .append("deviceCode", getDeviceCode())
                .append("readFrequency", getReadFrequency())
                .append("isFlag", getIsFlag())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
