package com.os.mes.prod.domain;

import java.math.BigDecimal;

import com.fasterxml.jackson.annotation.JsonProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.os.common.annotation.Excel;
import com.os.common.core.domain.BaseEntity;

/**
 * 订单明细对象 prod_order_detail
 *
 * @author Yinq
 * @date 2024-06-13
 */
public class ProdOrderDetail extends BaseEntity {

    private static final Long serialVersionUID = 1L;

    /**
     * 主键标识
     */
    private Long objId;

    /**
     * 任务编号
     */
    @Excel(name = "任务编号")
    @JsonProperty(value = "SeqNo")
    private String SeqNo;

    /**
     * 下单日期
     */
    @Excel(name = "下单日期")
    @JsonProperty(value = "OrderDate")
    private String OrderDate;

    /**
     * 交货日期
     */
    @Excel(name = "交货日期")
    @JsonProperty(value = "DeliveryDate")
    private String DeliveryDate;

    /**
     * 产品类型
     */
    @Excel(name = "产品类型")
    @JsonProperty(value = "ProductType")
    private String ProductType;

    /**
     * 产品状态
     */
    @Excel(name = "产品状态")
    @JsonProperty(value = "ProductStatus")
    private String ProductStatus;

    /**
     * 订单所属
     */
    @Excel(name = "订单所属")
    @JsonProperty(value = "OrderOwner")
    private String OrderOwner;

    /**
     * 客户信息
     */
    @Excel(name = "客户信息")
    @JsonProperty(value = "CustomerInfo")
    private String CustomerInfo;

    /**
     * 输送带长度规格
     */
    @Excel(name = "输送带长度规格")
    @JsonProperty(value = "BeltLengthSpecifications")
    private String BeltLengthSpecifications;

    /**
     * 面积与重量
     */
    @Excel(name = "面积与重量")
    @JsonProperty(value = "AreaAndWeight")
    private String AreaAndWeight;

    /**
     * 使用原材料
     */
    @Excel(name = "使用原材料")
    @JsonProperty(value = "UsingRawMaterials")
    private String UsingRawMaterials;

    /**
     * 输送带宽度（mm）
     */
    @Excel(name = "输送带宽度（mm）")
    @JsonProperty(value = "BeltWidth")
    private BigDecimal BeltWidth;

    /**
     * 输送带布层
     */
    @Excel(name = "输送带布层")
    @JsonProperty(value = "BeltClothLayer")
    private Long BeltClothLayer;

    /**
     * 客户要求输送带长度（m）
     */
    @Excel(name = "客户要求输送带长度（m）")
    @JsonProperty(value = "BeltRequiredLength")
    private BigDecimal BeltRequiredLength;

    /**
     * 客户要求上胶厚度（mm）
     */
    @Excel(name = "客户要求上胶厚度（mm）")
    @JsonProperty(value = "GluingRequiredThickness")
    private BigDecimal GluingRequiredThickness;

    /**
     * 客户要求下胶厚度（mm）
     */
    @Excel(name = "客户要求下胶厚度（mm）")
    @JsonProperty(value = "LowerGlueRequiredThickness")
    private BigDecimal LowerGlueRequiredThickness;

    /**
     * 生产上胶厚度（mm）
     */
    @Excel(name = "生产上胶厚度（mm）")
    @JsonProperty(value = "ProductionGluingThickness")
    private BigDecimal ProductionGluingThickness;

    /**
     * 上缓冲胶厚度（mm）
     */
    @Excel(name = "上缓冲胶厚度（mm）")
    @JsonProperty(value = "UpperBufferAdhesiveThickness")
    private BigDecimal UpperBufferAdhesiveThickness;

    /**
     * 生产下胶厚度（mm）
     */
    @Excel(name = "生产下胶厚度（mm）")
    @JsonProperty(value = "ProductionLowerGlueThickness")
    private BigDecimal ProductionLowerGlueThickness;

    /**
     * 下缓冲胶厚度（mm）
     */
    @Excel(name = "下缓冲胶厚度（mm）")
    @JsonProperty(value = "LowerBufferAdhesiveThickness")
    private BigDecimal LowerBufferAdhesiveThickness;

    /**
     * 布胶厚度
     */
    @Excel(name = "布胶厚度")
    @JsonProperty(value = "ClothGlueThickness")
    private BigDecimal ClothGlueThickness;

    /**
     * 小布用布布层
     */
    @Excel(name = "小布用布布层")
    @JsonProperty(value = "SmallClothFabricLayer")
    private BigDecimal SmallClothFabricLayer;

    /**
     * 小布布料厚度（mm）
     */
    @Excel(name = "小布布料厚度（mm）")
    @JsonProperty(value = "SmallClothThickness")
    private BigDecimal SmallClothThickness;

    /**
     * 是否需要每层加厚
     */
    @Excel(name = "是否需要每层加厚")
    @JsonProperty(value = "IsNeedThicken")
    private String IsNeedThicken;

    /**
     * 每层加厚厚度（mm）
     */
    @Excel(name = "每层加厚厚度（mm）")
    @JsonProperty(value = "EachLayerThickenThickness")
    private BigDecimal EachLayerThickenThickness;

    /**
     * 额外加厚厚度（mm）
     */
    @Excel(name = "额外加厚厚度（mm）")
    @JsonProperty(value = "ExtraThickeningThickness")
    private BigDecimal ExtraThickeningThickness;

    /**
     * 生产总厚度（mm）
     */
    @Excel(name = "生产总厚度（mm）")
    @JsonProperty(value = "TotalProductionThickness")
    private BigDecimal TotalProductionThickness;

    /**
     * 压延追加厚度
     */
    @Excel(name = "压延追加厚度")
    @JsonProperty(value = "AdditionalThickness")
    private BigDecimal AdditionalThickness;

    /**
     * 推荐垫铁厚度（mm）
     */
    @Excel(name = "推荐垫铁厚度（mm）")
    @JsonProperty(value = "RecommendedShimThickness")
    private BigDecimal RecommendedShimThickness;

    /**
     * 推荐半成品宽度（mm）
     */
    @Excel(name = "推荐半成品宽度（mm）")
    @JsonProperty(value = "SemiFinishedProductWidth")
    private BigDecimal SemiFinishedProductWidth;

    /**
     * 压延生产米数（m）
     */
    @Excel(name = "压延生产米数（m）")
    @JsonProperty(value = "RollingProductionMeters")
    private BigDecimal RollingProductionMeters;

    /**
     * 推荐垫布宽度（mm）
     */
    @Excel(name = "推荐垫布宽度（mm）")
    @JsonProperty(value = "RecommendedPadWidth")
    private BigDecimal RecommendedPadWidth;

    /**
     * 大布厂家
     */
    @Excel(name = "大布厂家")
    @JsonProperty(value = "BigFabricManufacturer")
    private String BigFabricManufacturer;

    /**
     * 布料规格
     */
    @Excel(name = "布料规格")
    @JsonProperty(value = "FabricSpecifications")
    private String FabricSpecifications;

    /**
     * 预计布料使用量（m）
     */
    @Excel(name = "预计布料使用量（m）")
    @JsonProperty(value = "EstimatedFabricUsage")
    private BigDecimal EstimatedFabricUsage;

    /**
     * 布宽度（mm）
     */
    @Excel(name = "布宽度（mm）")
    @JsonProperty(value = "ClothWidth")
    private BigDecimal ClothWidth;

    /**
     * 布重量（kg）
     */
    @Excel(name = "布重量（kg）")
    @JsonProperty(value = "ClothWeight")
    private BigDecimal ClothWeight;

    /**
     * 小布使用布料规格
     */
    @Excel(name = "小布使用布料规格")
    @JsonProperty(value = "SmallFabricSpecificationsDic")
    private String SmallFabricSpecificationsDic;

    /**
     * 小布宽度（mm）
     */
    @Excel(name = "小布宽度（mm）")
    @JsonProperty(value = "SmallClothWidth")
    private BigDecimal SmallClothWidth;

    /**
     * 小布布料使用量（m）
     */
    @Excel(name = "小布布料使用量（m）")
    @JsonProperty(value = "SmallClothUsage")
    private BigDecimal SmallClothUsage;

    /**
     * 小布用布重量（kg）
     */
    @Excel(name = "小布用布重量（kg）")
    @JsonProperty(value = "SmallClothWeight")
    private BigDecimal SmallClothWeight;

    /**
     * 用胶工艺
     */
    @Excel(name = "用胶工艺")
    @JsonProperty(value = "GluingProcess")
    private String GluingProcess;

    /**
     * 上下胶使用胶料
     */
    @Excel(name = "上下胶使用胶料")
    @JsonProperty(value = "UpperLowerGlue")
    private String UpperLowerGlue;

    /**
     * 上下胶系数
     */
    @Excel(name = "上下胶系数")
    @JsonProperty(value = "UpperLowerGlueCoefficient")
    private BigDecimal UpperLowerGlueCoefficient;

    /**
     * 上下胶标准用胶量（kg）
     */
    @Excel(name = "上下胶标准用胶量（kg）")
    @JsonProperty(value = "UpperLowerGlueUsage")
    private BigDecimal UpperLowerGlueUsage;

    /**
     * 下胶使用胶料
     */
    @Excel(name = "下胶使用胶料")
    @JsonProperty(value = "LowerGlue")
    private String LowerGlue;

    /**
     * 下胶系数
     */
    @Excel(name = "下胶系数")
    @JsonProperty(value = "LowerGlueCoefficient")
    private BigDecimal LowerGlueCoefficient;

    /**
     * 下胶标准用胶量（kg）
     */
    @Excel(name = "下胶标准用胶量（kg）")
    @JsonProperty(value = "LowerGlueUsage")
    private BigDecimal LowerGlueUsage;

    /**
     * 大布胶使用胶料
     */
    @Excel(name = "大布胶使用胶料")
    @JsonProperty(value = "LargeClothGlue")
    private String LargeClothGlue;

    /**
     * 大布胶系数
     */
    @Excel(name = "大布胶系数")
    @JsonProperty(value = "LargeClothGlueCoefficient")
    private BigDecimal LargeClothGlueCoefficient;

    /**
     * 胶布标准用胶量（kg）
     */
    @Excel(name = "胶布标准用胶量（kg）")
    @JsonProperty(value = "LargeClothGlueUsage")
    private BigDecimal LargeClothGlueUsage;

    /**
     * 上下缓冲胶标准用胶量（kg）
     */
    @Excel(name = "上下缓冲胶标准用胶量（kg）")
    @JsonProperty(value = "BufferGlueUsage")
    private BigDecimal BufferGlueUsage;

    /**
     * 中间胶
     */
    @Excel(name = "中间胶")
    @JsonProperty(value = "MiddleGlue")
    private String MiddleGlue;

    /**
     * 中间胶系数
     */
    @Excel(name = "中间胶系数")
    @JsonProperty(value = "MiddleGlueCoefficient")
    private BigDecimal MiddleGlueCoefficient;

    /**
     * 中间胶使用量
     */
    @Excel(name = "中间胶使用量")
    @JsonProperty(value = "MiddleGlueUsage")
    private BigDecimal MiddleGlueUsage;

    /**
     * 小条宽度
     */
    @Excel(name = "小条宽度")
    @JsonProperty(value = "SmallBarWidth")
    private BigDecimal SmallBarWidth;

    /**
     * 小条厚度
     */
    @Excel(name = "小条厚度")
    @JsonProperty(value = "SmallBarThickness")
    private BigDecimal SmallBarThickness;

    /**
     * 小条标准使用量（kg）
     */
    @Excel(name = "小条标准使用量（kg）")
    @JsonProperty(value = "SmallBarStandardUsage")
    private BigDecimal SmallBarStandardUsage;

    /**
     * 成型面积
     */
    @Excel(name = "成型面积")
    @JsonProperty(value = "FormingArea")
    private BigDecimal FormingArea;

    /**
     * 压延包胶面积
     */
    @Excel(name = "压延包胶面积")
    @JsonProperty(value = "RollCoatingArea")
    private BigDecimal RollCoatingArea;

    /**
     * 压延出布面积
     */
    @Excel(name = "压延出布面积")
    @JsonProperty(value = "RolledFabricArea")
    private BigDecimal RolledFabricArea;

    /**
     * 硫化面积
     */
    @Excel(name = "硫化面积")
    @JsonProperty(value = "SulfurizationArea")
    private BigDecimal SulfurizationArea;

    /**
     * 大布面积
     */
    @Excel(name = "大布面积")
    @JsonProperty(value = "LargeClothArea")
    private BigDecimal LargeClothArea;

    /**
     * 小布面积
     */
    @Excel(name = "小布面积")
    @JsonProperty(value = "SmallClothArea")
    private BigDecimal SmallClothArea;

    /**
     * 输送带总面积
     */
    @Excel(name = "输送带总面积")
    @JsonProperty(value = "BeltTotalArea")
    private BigDecimal BeltTotalArea;

    /**
     * 裙边面积
     */
    @Excel(name = "裙边面积")
    @JsonProperty(value = "SkirtArea")
    private BigDecimal SkirtArea;

    /**
     * 隔板面积
     */
    @Excel(name = "隔板面积")
    @JsonProperty(value = "PartitionArea")
    private BigDecimal PartitionArea;

    /**
     * 挡边带总面积
     */
    @Excel(name = "挡边带总面积")
    @JsonProperty(value = "EdgeBandingTotalArea")
    private BigDecimal EdgeBandingTotalArea;

    /**
     * 钢丝绳输送带工资总面积
     */
    @Excel(name = "钢丝绳输送带工资总面积")
    @JsonProperty(value = "WireropeBeltTotalArea")
    private BigDecimal WireropeBeltTotalArea;


    public Long getObjId() {
        return objId;
    }

    public void setObjId(Long objId) {
        this.objId = objId;
    }

    public String getSeqNo() {
        return SeqNo;
    }

    public void setSeqNo(String seqNo) {
        SeqNo = seqNo;
    }

    public String getOrderDate() {
        return OrderDate;
    }

    public void setOrderDate(String orderDate) {
        OrderDate = orderDate;
    }

    public String getDeliveryDate() {
        return DeliveryDate;
    }

    public void setDeliveryDate(String deliveryDate) {
        DeliveryDate = deliveryDate;
    }

    public String getProductType() {
        return ProductType;
    }

    public void setProductType(String productType) {
        ProductType = productType;
    }

    public String getProductStatus() {
        return ProductStatus;
    }

    public void setProductStatus(String productStatus) {
        ProductStatus = productStatus;
    }

    public String getOrderOwner() {
        return OrderOwner;
    }

    public void setOrderOwner(String orderOwner) {
        OrderOwner = orderOwner;
    }

    public String getCustomerInfo() {
        return CustomerInfo;
    }

    public void setCustomerInfo(String customerInfo) {
        CustomerInfo = customerInfo;
    }

    public String getBeltLengthSpecifications() {
        return BeltLengthSpecifications;
    }

    public void setBeltLengthSpecifications(String beltLengthSpecifications) {
        BeltLengthSpecifications = beltLengthSpecifications;
    }

    public String getAreaAndWeight() {
        return AreaAndWeight;
    }

    public void setAreaAndWeight(String areaAndWeight) {
        AreaAndWeight = areaAndWeight;
    }

    public String getUsingRawMaterials() {
        return UsingRawMaterials;
    }

    public void setUsingRawMaterials(String usingRawMaterials) {
        UsingRawMaterials = usingRawMaterials;
    }

    public BigDecimal getBeltWidth() {
        return BeltWidth;
    }

    public void setBeltWidth(BigDecimal beltWidth) {
        BeltWidth = beltWidth;
    }

    public Long getBeltClothLayer() {
        return BeltClothLayer;
    }

    public void setBeltClothLayer(Long beltClothLayer) {
        BeltClothLayer = beltClothLayer;
    }

    public BigDecimal getBeltRequiredLength() {
        return BeltRequiredLength;
    }

    public void setBeltRequiredLength(BigDecimal beltRequiredLength) {
        BeltRequiredLength = beltRequiredLength;
    }

    public BigDecimal getGluingRequiredThickness() {
        return GluingRequiredThickness;
    }

    public void setGluingRequiredThickness(BigDecimal gluingRequiredThickness) {
        GluingRequiredThickness = gluingRequiredThickness;
    }

    public BigDecimal getLowerGlueRequiredThickness() {
        return LowerGlueRequiredThickness;
    }

    public void setLowerGlueRequiredThickness(BigDecimal lowerGlueRequiredThickness) {
        LowerGlueRequiredThickness = lowerGlueRequiredThickness;
    }

    public BigDecimal getProductionGluingThickness() {
        return ProductionGluingThickness;
    }

    public void setProductionGluingThickness(BigDecimal productionGluingThickness) {
        ProductionGluingThickness = productionGluingThickness;
    }

    public BigDecimal getUpperBufferAdhesiveThickness() {
        return UpperBufferAdhesiveThickness;
    }

    public void setUpperBufferAdhesiveThickness(BigDecimal upperBufferAdhesiveThickness) {
        UpperBufferAdhesiveThickness = upperBufferAdhesiveThickness;
    }

    public BigDecimal getProductionLowerGlueThickness() {
        return ProductionLowerGlueThickness;
    }

    public void setProductionLowerGlueThickness(BigDecimal productionLowerGlueThickness) {
        ProductionLowerGlueThickness = productionLowerGlueThickness;
    }

    public BigDecimal getLowerBufferAdhesiveThickness() {
        return LowerBufferAdhesiveThickness;
    }

    public void setLowerBufferAdhesiveThickness(BigDecimal lowerBufferAdhesiveThickness) {
        LowerBufferAdhesiveThickness = lowerBufferAdhesiveThickness;
    }

    public BigDecimal getClothGlueThickness() {
        return ClothGlueThickness;
    }

    public void setClothGlueThickness(BigDecimal clothGlueThickness) {
        ClothGlueThickness = clothGlueThickness;
    }

    public BigDecimal getSmallClothFabricLayer() {
        return SmallClothFabricLayer;
    }

    public void setSmallClothFabricLayer(BigDecimal smallClothFabricLayer) {
        SmallClothFabricLayer = smallClothFabricLayer;
    }

    public BigDecimal getSmallClothThickness() {
        return SmallClothThickness;
    }

    public void setSmallClothThickness(BigDecimal smallClothThickness) {
        SmallClothThickness = smallClothThickness;
    }

    public String getIsNeedThicken() {
        return IsNeedThicken;
    }

    public void setIsNeedThicken(String isNeedThicken) {
        IsNeedThicken = isNeedThicken;
    }

    public BigDecimal getEachLayerThickenThickness() {
        return EachLayerThickenThickness;
    }

    public void setEachLayerThickenThickness(BigDecimal eachLayerThickenThickness) {
        EachLayerThickenThickness = eachLayerThickenThickness;
    }

    public BigDecimal getExtraThickeningThickness() {
        return ExtraThickeningThickness;
    }

    public void setExtraThickeningThickness(BigDecimal extraThickeningThickness) {
        ExtraThickeningThickness = extraThickeningThickness;
    }

    public BigDecimal getTotalProductionThickness() {
        return TotalProductionThickness;
    }

    public void setTotalProductionThickness(BigDecimal totalProductionThickness) {
        TotalProductionThickness = totalProductionThickness;
    }

    public BigDecimal getAdditionalThickness() {
        return AdditionalThickness;
    }

    public void setAdditionalThickness(BigDecimal additionalThickness) {
        AdditionalThickness = additionalThickness;
    }

    public BigDecimal getRecommendedShimThickness() {
        return RecommendedShimThickness;
    }

    public void setRecommendedShimThickness(BigDecimal recommendedShimThickness) {
        RecommendedShimThickness = recommendedShimThickness;
    }

    public BigDecimal getSemiFinishedProductWidth() {
        return SemiFinishedProductWidth;
    }

    public void setSemiFinishedProductWidth(BigDecimal semiFinishedProductWidth) {
        SemiFinishedProductWidth = semiFinishedProductWidth;
    }

    public BigDecimal getRollingProductionMeters() {
        return RollingProductionMeters;
    }

    public void setRollingProductionMeters(BigDecimal rollingProductionMeters) {
        RollingProductionMeters = rollingProductionMeters;
    }

    public BigDecimal getRecommendedPadWidth() {
        return RecommendedPadWidth;
    }

    public void setRecommendedPadWidth(BigDecimal recommendedPadWidth) {
        RecommendedPadWidth = recommendedPadWidth;
    }

    public String getBigFabricManufacturer() {
        return BigFabricManufacturer;
    }

    public void setBigFabricManufacturer(String bigFabricManufacturer) {
        BigFabricManufacturer = bigFabricManufacturer;
    }

    public String getFabricSpecifications() {
        return FabricSpecifications;
    }

    public void setFabricSpecifications(String fabricSpecifications) {
        FabricSpecifications = fabricSpecifications;
    }

    public BigDecimal getEstimatedFabricUsage() {
        return EstimatedFabricUsage;
    }

    public void setEstimatedFabricUsage(BigDecimal estimatedFabricUsage) {
        EstimatedFabricUsage = estimatedFabricUsage;
    }

    public BigDecimal getClothWidth() {
        return ClothWidth;
    }

    public void setClothWidth(BigDecimal clothWidth) {
        ClothWidth = clothWidth;
    }

    public BigDecimal getClothWeight() {
        return ClothWeight;
    }

    public void setClothWeight(BigDecimal clothWeight) {
        ClothWeight = clothWeight;
    }

    public String getSmallFabricSpecificationsDic() {
        return SmallFabricSpecificationsDic;
    }

    public void setSmallFabricSpecificationsDic(String smallFabricSpecificationsDic) {
        SmallFabricSpecificationsDic = smallFabricSpecificationsDic;
    }

    public BigDecimal getSmallClothWidth() {
        return SmallClothWidth;
    }

    public void setSmallClothWidth(BigDecimal smallClothWidth) {
        SmallClothWidth = smallClothWidth;
    }

    public BigDecimal getSmallClothUsage() {
        return SmallClothUsage;
    }

    public void setSmallClothUsage(BigDecimal smallClothUsage) {
        SmallClothUsage = smallClothUsage;
    }

    public BigDecimal getSmallClothWeight() {
        return SmallClothWeight;
    }

    public void setSmallClothWeight(BigDecimal smallClothWeight) {
        SmallClothWeight = smallClothWeight;
    }

    public String getGluingProcess() {
        return GluingProcess;
    }

    public void setGluingProcess(String gluingProcess) {
        GluingProcess = gluingProcess;
    }

    public String getUpperLowerGlue() {
        return UpperLowerGlue;
    }

    public void setUpperLowerGlue(String upperLowerGlue) {
        UpperLowerGlue = upperLowerGlue;
    }

    public BigDecimal getUpperLowerGlueCoefficient() {
        return UpperLowerGlueCoefficient;
    }

    public void setUpperLowerGlueCoefficient(BigDecimal upperLowerGlueCoefficient) {
        UpperLowerGlueCoefficient = upperLowerGlueCoefficient;
    }

    public BigDecimal getUpperLowerGlueUsage() {
        return UpperLowerGlueUsage;
    }

    public void setUpperLowerGlueUsage(BigDecimal upperLowerGlueUsage) {
        UpperLowerGlueUsage = upperLowerGlueUsage;
    }

    public String getLowerGlue() {
        return LowerGlue;
    }

    public void setLowerGlue(String lowerGlue) {
        LowerGlue = lowerGlue;
    }

    public BigDecimal getLowerGlueCoefficient() {
        return LowerGlueCoefficient;
    }

    public void setLowerGlueCoefficient(BigDecimal lowerGlueCoefficient) {
        LowerGlueCoefficient = lowerGlueCoefficient;
    }

    public BigDecimal getLowerGlueUsage() {
        return LowerGlueUsage;
    }

    public void setLowerGlueUsage(BigDecimal lowerGlueUsage) {
        LowerGlueUsage = lowerGlueUsage;
    }

    public String getLargeClothGlue() {
        return LargeClothGlue;
    }

    public void setLargeClothGlue(String largeClothGlue) {
        LargeClothGlue = largeClothGlue;
    }

    public BigDecimal getLargeClothGlueCoefficient() {
        return LargeClothGlueCoefficient;
    }

    public void setLargeClothGlueCoefficient(BigDecimal largeClothGlueCoefficient) {
        LargeClothGlueCoefficient = largeClothGlueCoefficient;
    }

    public BigDecimal getLargeClothGlueUsage() {
        return LargeClothGlueUsage;
    }

    public void setLargeClothGlueUsage(BigDecimal largeClothGlueUsage) {
        LargeClothGlueUsage = largeClothGlueUsage;
    }

    public BigDecimal getBufferGlueUsage() {
        return BufferGlueUsage;
    }

    public void setBufferGlueUsage(BigDecimal bufferGlueUsage) {
        BufferGlueUsage = bufferGlueUsage;
    }

    public String getMiddleGlue() {
        return MiddleGlue;
    }

    public void setMiddleGlue(String middleGlue) {
        MiddleGlue = middleGlue;
    }

    public BigDecimal getMiddleGlueCoefficient() {
        return MiddleGlueCoefficient;
    }

    public void setMiddleGlueCoefficient(BigDecimal middleGlueCoefficient) {
        MiddleGlueCoefficient = middleGlueCoefficient;
    }

    public BigDecimal getMiddleGlueUsage() {
        return MiddleGlueUsage;
    }

    public void setMiddleGlueUsage(BigDecimal middleGlueUsage) {
        MiddleGlueUsage = middleGlueUsage;
    }

    public BigDecimal getSmallBarWidth() {
        return SmallBarWidth;
    }

    public void setSmallBarWidth(BigDecimal smallBarWidth) {
        SmallBarWidth = smallBarWidth;
    }

    public BigDecimal getSmallBarThickness() {
        return SmallBarThickness;
    }

    public void setSmallBarThickness(BigDecimal smallBarThickness) {
        SmallBarThickness = smallBarThickness;
    }

    public BigDecimal getSmallBarStandardUsage() {
        return SmallBarStandardUsage;
    }

    public void setSmallBarStandardUsage(BigDecimal smallBarStandardUsage) {
        SmallBarStandardUsage = smallBarStandardUsage;
    }

    public BigDecimal getFormingArea() {
        return FormingArea;
    }

    public void setFormingArea(BigDecimal formingArea) {
        FormingArea = formingArea;
    }

    public BigDecimal getRollCoatingArea() {
        return RollCoatingArea;
    }

    public void setRollCoatingArea(BigDecimal rollCoatingArea) {
        RollCoatingArea = rollCoatingArea;
    }

    public BigDecimal getRolledFabricArea() {
        return RolledFabricArea;
    }

    public void setRolledFabricArea(BigDecimal rolledFabricArea) {
        RolledFabricArea = rolledFabricArea;
    }

    public BigDecimal getSulfurizationArea() {
        return SulfurizationArea;
    }

    public void setSulfurizationArea(BigDecimal sulfurizationArea) {
        SulfurizationArea = sulfurizationArea;
    }

    public BigDecimal getLargeClothArea() {
        return LargeClothArea;
    }

    public void setLargeClothArea(BigDecimal largeClothArea) {
        LargeClothArea = largeClothArea;
    }

    public BigDecimal getSmallClothArea() {
        return SmallClothArea;
    }

    public void setSmallClothArea(BigDecimal smallClothArea) {
        SmallClothArea = smallClothArea;
    }

    public BigDecimal getBeltTotalArea() {
        return BeltTotalArea;
    }

    public void setBeltTotalArea(BigDecimal beltTotalArea) {
        BeltTotalArea = beltTotalArea;
    }

    public BigDecimal getSkirtArea() {
        return SkirtArea;
    }

    public void setSkirtArea(BigDecimal skirtArea) {
        SkirtArea = skirtArea;
    }

    public BigDecimal getPartitionArea() {
        return PartitionArea;
    }

    public void setPartitionArea(BigDecimal partitionArea) {
        PartitionArea = partitionArea;
    }

    public BigDecimal getEdgeBandingTotalArea() {
        return EdgeBandingTotalArea;
    }

    public void setEdgeBandingTotalArea(BigDecimal edgeBandingTotalArea) {
        EdgeBandingTotalArea = edgeBandingTotalArea;
    }

    public BigDecimal getWireropeBeltTotalArea() {
        return WireropeBeltTotalArea;
    }

    public void setWireropeBeltTotalArea(BigDecimal wireropeBeltTotalArea) {
        WireropeBeltTotalArea = wireropeBeltTotalArea;
    }

    @Override
    public String toString() {
        return "ProdOrderDetail{" +
                "objId=" + objId +
                ", SeqNo='" + SeqNo + '\'' +
                ", OrderDate='" + OrderDate + '\'' +
                ", DeliveryDate='" + DeliveryDate + '\'' +
                ", ProductType='" + ProductType + '\'' +
                ", ProductStatus='" + ProductStatus + '\'' +
                ", OrderOwner='" + OrderOwner + '\'' +
                ", CustomerInfo='" + CustomerInfo + '\'' +
                ", BeltLengthSpecifications='" + BeltLengthSpecifications + '\'' +
                ", AreaAndWeight='" + AreaAndWeight + '\'' +
                ", UsingRawMaterials='" + UsingRawMaterials + '\'' +
                ", BeltWidth=" + BeltWidth +
                ", BeltClothLayer=" + BeltClothLayer +
                ", BeltRequiredLength=" + BeltRequiredLength +
                ", GluingRequiredThickness=" + GluingRequiredThickness +
                ", LowerGlueRequiredThickness=" + LowerGlueRequiredThickness +
                ", ProductionGluingThickness=" + ProductionGluingThickness +
                ", UpperBufferAdhesiveThickness=" + UpperBufferAdhesiveThickness +
                ", ProductionLowerGlueThickness=" + ProductionLowerGlueThickness +
                ", LowerBufferAdhesiveThickness=" + LowerBufferAdhesiveThickness +
                ", ClothGlueThickness=" + ClothGlueThickness +
                ", SmallClothFabricLayer=" + SmallClothFabricLayer +
                ", SmallClothThickness=" + SmallClothThickness +
                ", IsNeedThicken='" + IsNeedThicken + '\'' +
                ", EachLayerThickenThickness=" + EachLayerThickenThickness +
                ", ExtraThickeningThickness=" + ExtraThickeningThickness +
                ", TotalProductionThickness=" + TotalProductionThickness +
                ", AdditionalThickness=" + AdditionalThickness +
                ", RecommendedShimThickness=" + RecommendedShimThickness +
                ", SemiFinishedProductWidth=" + SemiFinishedProductWidth +
                ", RollingProductionMeters=" + RollingProductionMeters +
                ", RecommendedPadWidth=" + RecommendedPadWidth +
                ", BigFabricManufacturer='" + BigFabricManufacturer + '\'' +
                ", FabricSpecifications='" + FabricSpecifications + '\'' +
                ", EstimatedFabricUsage=" + EstimatedFabricUsage +
                ", ClothWidth=" + ClothWidth +
                ", ClothWeight=" + ClothWeight +
                ", SmallFabricSpecificationsDic='" + SmallFabricSpecificationsDic + '\'' +
                ", SmallClothWidth=" + SmallClothWidth +
                ", SmallClothUsage=" + SmallClothUsage +
                ", SmallClothWeight=" + SmallClothWeight +
                ", GluingProcess='" + GluingProcess + '\'' +
                ", UpperLowerGlue='" + UpperLowerGlue + '\'' +
                ", UpperLowerGlueCoefficient=" + UpperLowerGlueCoefficient +
                ", UpperLowerGlueUsage=" + UpperLowerGlueUsage +
                ", LowerGlue='" + LowerGlue + '\'' +
                ", LowerGlueCoefficient=" + LowerGlueCoefficient +
                ", LowerGlueUsage=" + LowerGlueUsage +
                ", LargeClothGlue='" + LargeClothGlue + '\'' +
                ", LargeClothGlueCoefficient=" + LargeClothGlueCoefficient +
                ", LargeClothGlueUsage=" + LargeClothGlueUsage +
                ", BufferGlueUsage=" + BufferGlueUsage +
                ", MiddleGlue='" + MiddleGlue + '\'' +
                ", MiddleGlueCoefficient=" + MiddleGlueCoefficient +
                ", MiddleGlueUsage=" + MiddleGlueUsage +
                ", SmallBarWidth=" + SmallBarWidth +
                ", SmallBarThickness=" + SmallBarThickness +
                ", SmallBarStandardUsage=" + SmallBarStandardUsage +
                ", FormingArea=" + FormingArea +
                ", RollCoatingArea=" + RollCoatingArea +
                ", RolledFabricArea=" + RolledFabricArea +
                ", SulfurizationArea=" + SulfurizationArea +
                ", LargeClothArea=" + LargeClothArea +
                ", SmallClothArea=" + SmallClothArea +
                ", BeltTotalArea=" + BeltTotalArea +
                ", SkirtArea=" + SkirtArea +
                ", PartitionArea=" + PartitionArea +
                ", EdgeBandingTotalArea=" + EdgeBandingTotalArea +
                ", WireropeBeltTotalArea=" + WireropeBeltTotalArea +
                '}';
    }
}
