package com.os.mes.prod.mapper;

import java.util.List;
import com.os.mes.prod.domain.ProdBomInfo;
import kotlin.jvm.Synchronized;

/**
 * 生产BOMMapper接口
 * 
 * @author Yinq
 * @date 2024-05-11
 */
public interface ProdBomInfoMapper 
{
    /**
     * 查询生产BOM
     * 
     * @param objId 生产BOM主键
     * @return 生产BOM
     */
    public ProdBomInfo selectProdBomInfoByObjId(Long objId);

    /**
     * 查询生产BOM列表
     * 
     * @param prodBomInfo 生产BOM
     * @return 生产BOM集合
     */
    public List<ProdBomInfo> selectProdBomInfoList(ProdBomInfo prodBomInfo);

    /**
     * 新增生产BOM
     * 
     * @param prodBomInfo 生产BOM
     * @return 结果
     */
    public int insertProdBomInfo(ProdBomInfo prodBomInfo);

    /**
     * 修改生产BOM
     * 
     * @param prodBomInfo 生产BOM
     * @return 结果
     */
    @Synchronized
    public int updateProdBomInfo(ProdBomInfo prodBomInfo);

    /**
     * 删除生产BOM
     * 
     * @param objId 生产BOM主键
     * @return 结果
     */
    public int deleteProdBomInfoByObjId(Long objId);

    /**
     * 批量删除生产BOM
     * 
     * @param objIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteProdBomInfoByObjIds(Long[] objIds);
}
