package com.os.mes.record.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.os.common.annotation.Excel;
import com.os.common.core.domain.BaseEntity;

/**
 * 员工打卡记录对象 record_staff_attendance
 *
 * @author Yinq
 * @date 2024-05-24
 */
public class RecordStaffAttendance extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键标识
     */
    private Long objId;

    /**
     * 员工ID
     */
    @Excel(name = "员工ID")
    private String staffId;

    /**
     * 员工名称
     */
    @Excel(name = "员工名称")
    private String staffName;

    /**
     * 打卡类型（0上班 1下班）
     */
    @Excel(name = "打卡类型", readConverterExp = "0=上班,1=下班")
    private String attendanceType;

    /**
     * 班组编号
     */
    @Excel(name = "班组编号")
    private String teamCode;

    /**
     * 班组名称
     */
    @Excel(name = "班组名称")
    private String teamName;

    /**
     * 班次（1早班 2晚班）
     */
    @Excel(name = "班次", readConverterExp = "1=早班,2=晚班")
    private String classes;

    /**
     * 是否标识
     */
    @Excel(name = "是否标识")
    private String isFlag;

    /**
     * 机台编号
     */
    @Excel(name = "机台编号")
    private String machineCode;

    public String getStaffName() {
        return staffName;
    }

    public void setStaffName(String staffName) {
        this.staffName = staffName;
    }

    public String getTeamName() {
        return teamName;
    }

    public void setTeamName(String teamName) {
        this.teamName = teamName;
    }

    public void setObjId(Long objId) {
        this.objId = objId;
    }

    public Long getObjId() {
        return objId;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId;
    }

    public String getStaffId() {
        return staffId;
    }

    public void setAttendanceType(String attendanceType) {
        this.attendanceType = attendanceType;
    }

    public String getAttendanceType() {
        return attendanceType;
    }

    public void setTeamCode(String teamCode) {
        this.teamCode = teamCode;
    }

    public String getTeamCode() {
        return teamCode;
    }

    public void setClasses(String classes) {
        this.classes = classes;
    }

    public String getClasses() {
        return classes;
    }

    public void setIsFlag(String isFlag) {
        this.isFlag = isFlag;
    }

    public String getIsFlag() {
        return isFlag;
    }

    public void setMachineCode(String machineCode) {
        this.machineCode = machineCode;
    }

    public String getMachineCode() {
        return machineCode;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("objId", getObjId())
                .append("staffId", getStaffId())
                .append("attendanceType", getAttendanceType())
                .append("teamCode", getTeamCode())
                .append("classes", getClasses())
                .append("remark", getRemark())
                .append("isFlag", getIsFlag())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("machineCode", getMachineCode())
                .toString();
    }
}
