package com.os.mes.record.domain;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.os.common.annotation.Excel;
import com.os.common.core.domain.BaseEntity;

/**
 * 员工上下班记录对象 record_staff_commute
 *
 * @author Yinq
 * @date 2024-07-01
 */
public class RecordStaffCommute extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键标识
     */
    private Long objId;

    /**
     * 员工ID
     */
    @Excel(name = "员工ID")
    private String staffId;

    /**
     * 员工名称
     */
    @Excel(name = "员工名称")
    private String staffName;

    /**
     * 班组编号
     */
    @Excel(name = "班组编号")
    private String teamCode;

    /**
     * 班组名称
     */
    @Excel(name = "班组名称")
    private String teamName;

    /**
     * 班次（1早班 2小夜 3大夜）
     */
    @Excel(name = "班次", readConverterExp = "1=早班,2=小夜,3=大夜")
    private String classes;

    /**
     * 上班打卡时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "上班打卡时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date startWorkTime;

    /**
     * 下班打卡时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "下班打卡时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date endWorkTime;

    /**
     * 在班时长率
     */
    @Excel(name = "在班时长率")
    private BigDecimal clockingRatio;

    /**
     * 是否标识
     */
    @Excel(name = "是否标识")
    private String isFlag;

    /**
     * 机台编号
     */
    @Excel(name = "机台编号")
    private String machineCode;

    /**
     * 工资系数
     */
    @Excel(name = "工资系数")
    private BigDecimal wageCoefficient;

    /**
     * 身份证
     */
    @Excel(name = "身份证")
    private String passWord;

    public String getPassWord() {
        return passWord;
    }

    public void setPassWord(String passWord) {
        this.passWord = passWord;
    }

    public BigDecimal getWageCoefficient() {
        return wageCoefficient;
    }

    public void setWageCoefficient(BigDecimal wageCoefficient) {
        this.wageCoefficient = wageCoefficient;
    }

    public String getStaffName() {
        return staffName;
    }

    public void setStaffName(String staffName) {
        this.staffName = staffName;
    }

    public String getTeamName() {
        return teamName;
    }

    public void setTeamName(String teamName) {
        this.teamName = teamName;
    }

    public void setObjId(Long objId) {
        this.objId = objId;
    }

    public Long getObjId() {
        return objId;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId;
    }

    public String getStaffId() {
        return staffId;
    }

    public void setTeamCode(String teamCode) {
        this.teamCode = teamCode;
    }

    public String getTeamCode() {
        return teamCode;
    }

    public void setClasses(String classes) {
        this.classes = classes;
    }

    public String getClasses() {
        return classes;
    }

    public void setStartWorkTime(Date startWorkTime) {
        this.startWorkTime = startWorkTime;
    }

    public Date getStartWorkTime() {
        return startWorkTime;
    }

    public void setEndWorkTime(Date endWorkTime) {
        this.endWorkTime = endWorkTime;
    }

    public Date getEndWorkTime() {
        return endWorkTime;
    }

    public void setClockingRatio(BigDecimal clockingRatio) {
        this.clockingRatio = clockingRatio;
    }

    public BigDecimal getClockingRatio() {
        return clockingRatio;
    }

    public void setIsFlag(String isFlag) {
        this.isFlag = isFlag;
    }

    public String getIsFlag() {
        return isFlag;
    }

    public void setMachineCode(String machineCode) {
        this.machineCode = machineCode;
    }

    public String getMachineCode() {
        return machineCode;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("objId", getObjId())
                .append("staffId", getStaffId())
                .append("teamCode", getTeamCode())
                .append("classes", getClasses())
                .append("startWorkTime", getStartWorkTime())
                .append("endWorkTime", getEndWorkTime())
                .append("clockingRatio", getClockingRatio())
                .append("remark", getRemark())
                .append("isFlag", getIsFlag())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("machineCode", getMachineCode())
                .toString();
    }
}
